
package de.ivu.elect.presentation.wahlvorschlag.menu;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gebietsbaum.entity.GebietsarteigenschaftConstants;

public class WahlvorschlagSearchGoToUebergeordnetesDirektwahlgebietMenuItemEntry extends AbstractWahlvorschlagSearchGoToUebergeordnetesWahlgebietMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public WahlvorschlagSearchGoToUebergeordnetesDirektwahlgebietMenuItemEntry() {
    super();
  }

  @Override // Werden Direktkandidaten und Listen auf demselben Gebiet eingereicht, dann die Listen anzeigen!
  protected boolean isSearchUebergeordnetesWahlgebietPermitted(Gebiet uebergeordnetesWahlgebiet) {
    return isSearchDirektwahlgebietZulaessig(uebergeordnetesWahlgebiet) && !isSearchListenwahlgebietZulaessig(uebergeordnetesWahlgebiet);
  }

  @Override
  public Gebiet getUebergeordnetesWahlgebiet() {
    return getUebergeordnetesDirektwahlgebiet();
  }

  @Override
  protected String getUebergeordnetesWahlgebietGebietsarteigenschaftMsgKey() {
    if (isSearchListenwahlgebietZulaessig(getUebergeordnetesDirektwahlgebiet())) {
      return GebietsarteigenschaftConstants.MESSAGE_KEY_WAHLGEBIET_EINZAHL;
    }

    return GebietsarteigenschaftConstants.MESSAGE_KEY_DIREKTWAHLGEBIET_EINZAHL;
  }
}
